{
    attributes = (
        {
            allowsNull = Y; 
            columnName = FLAN_ABREVIATION; 
            externalType = VARCHAR2; 
            name = flanAbreviation; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            columnName = FLAN_CODE; 
            externalType = VARCHAR2; 
            name = flanCode; 
            valueClassName = NSString; 
            width = 4; 
        }, 
        {
            columnName = FLAN_LIBELLE; 
            externalType = VARCHAR2; 
            name = flanLibelle; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            columnName = FLAN_VALIDITE; 
            externalType = VARCHAR2; 
            name = flanValidite; 
            valueClassName = NSString; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (flanCode); 
    className = EOGenericRecord; 
    classProperties = (flanCode, flanLibelle, flanAbreviation, flanValidite); 
    externalName = SCOL_FORMATION_LANGUE; 
    fetchSpecificationDictionary = {}; 
    name = ScolFormationLangue; 
    primaryKeyAttributes = (flanCode); 
}
